<?php
$this->log( 'Beginning final step cleanup!' );

echo 'This step handles cleanup of files. It is common to not be able to delete some files due to permission errors. You may manually delete them or ignore any errors if you wish.<br><br>';

echo $this->status_box( 'Cleaning up after restore with ImportBuddy ' . $this->_version . '...' );

flush();
sleep( 5 ); // Pause to allow CSS, etc time to load before importbuddy starts deleting those files.

$this->remove_file( $this->_options['file'], 'backup .ZIP file (' . $this->_options['file'] . ')', true );

// Full backup .sql file
$this->remove_file( ABSPATH . '/wp-content/uploads/temp_'.$this->_options['zip_id'].'/db.sql', 'db.sql (backup database dump)', false );
$this->remove_file( ABSPATH . '/wp-content/uploads/temp_'.$this->_options['zip_id'].'/db_1.sql', 'db_1.sql (backup database dump)', false );
$this->remove_file( ABSPATH . '/wp-content/uploads/backupbuddy_temp/'.$this->_options['zip_id'].'/db_1.sql', 'db_1.sql (backup database dump)', false );
// DB only sql file
$this->remove_file( ABSPATH . '/db.sql', 'db.sql (backup database dump)', false );
$this->remove_file( ABSPATH . '/db_1.sql', 'db_1.sql (backup database dump)', false );

// Full backup dat file
$this->remove_file( ABSPATH . '/wp-content/uploads/temp_' . $this->_options['zip_id'] . '/backupbuddy_dat.php', 'backupbuddy_dat.php (backup data file)', false );
$this->remove_file( ABSPATH . '/wp-content/uploads/backupbuddy_temp/' . $this->_options['zip_id'] . '/backupbuddy_dat.php', 'backupbuddy_dat.php (backup data file)', false );
// DB only dat file
$this->remove_file( ABSPATH . '/backupbuddy_dat.php', 'backupbuddy_dat.php (backup data file)', false );

$this->remove_file( ABSPATH . '/wp-content/uploads/backupbuddy_temp/' . $this->_options['zip_id'] . '/', 'Temporary backup directory.', false );

$this->remove_file( 'importbuddy.txt', 'importbuddy.txt log file', true );
$this->remove_file( ABSPATH . '/importbuddy/', 'ImportBuddy Directory', true );
$this->remove_file( 'importbuddy.php', 'importbuddy.php (this script)', true );

echo '<br ><br>';
echo '<div class="alert">Thank you for choosing BackupBuddy!</div>';

$this->log( 'Finished final step cleanup! Kerfuffle!' );
?>